#!/usr/bin/env python
# Boots Client Project
# www.launchpad.net/boots
#
# ##### BEGIN LICENSE BLOCK #####
#
# Copyright (C) 2009-2010 Clark Boylan, Ken Brotherton, Max Goodman,
#                         Victoria Lewis, David Rosenbaum, and Andreas Turriff
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ##### END LICENSE BLOCK #####

"""This module is the entry point to boots. It builds a configuration and
starts a boots console with that configuration."""

from boots.app import info, client_config
from boots.lib.console import Console

def main():
    """Entrance point to the boots executable.

    Loads a boots configuration and starts the boots console with that
    configuration."""
    configuration = client_config.ClientConfig()
    configuration.load()
    console = Console(configuration, info.WELCOME)
    console.main()
    
if __name__ == "__main__":
    main()
