# Boots Client Project
# www.launchpad.net/boots
#
# ##### BEGIN LICENSE BLOCK #####
#
# Copyright (C) 2009-2010 Clark Boylan, Ken Brotherton, Max Goodman,
#                         Victoria Lewis, David Rosenbaum, and Andreas Turriff
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ##### END LICENSE BLOCK #####

# This file is an example of how to add a new external lingo.
from boots.lib.lingos import external
from boots.lib.lingos import lingo
from boots.lib.ui.components.help import HelpTopic
from boots.lib import _, n_

class ExternalBashInterpreter(external.ExternalInterpreter):
    """Provides an interface to an external bash shell."""
    
    help = HelpTopic("bash", _("Bash Lingo"), _("External bash shell."))    
        
    def __init__(self, *args, **kwargs):
        super(ExternalBashInterpreter, self).__init__('bash', [], *args, **kwargs)

lingo.register('bash', ExternalBashInterpreter)
