# Boots Client Project
# www.launchpad.net/boots
#
# ##### BEGIN LICENSE BLOCK #####
#
# Copyright (C) 2009-2010 Clark Boylan, Ken Brotherton, Max Goodman,
#                         Victoria Lewis, David Rosenbaum, and Andreas Turriff
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ##### END LICENSE BLOCK #####

import ply.lex as lex

from boots.lib import _, n_

tokens = ('INTEGER', 'STRING', 'SYMBOL', 'QUOTE', 'LEFT_PAREN', 'RIGHT_PAREN')

t_INTEGER = r'[0-9]+'
t_STRING = r'"[^"]*"'
t_SYMBOL = r'[^\t\n ()0-9\'"][^\t\n ()\'"]*'
t_QUOTE = r"'"
t_LEFT_PAREN = r'\('
t_RIGHT_PAREN = r'\)'
t_ignore = ' \t\n'

def t_error(t):
    print(_('illegal character {0} found').format(t.value))
    token.lexer.skip(1)

lexer = lex.lex()
